On Fri, Dec 21, 2001 at 09:10:53AM +0900, Chr. Rippel wrote:
> > Are you telling me that this behavior will change under 1.8?  This would
> > definitely be nice.
> This seems to work already

Under 1.6.5, I get:

foo.rb:6:in `bind': bind argument must be an instance of Foo (TypeError)
        from foo.rb:6
        from foo.rb:4:in `foo'
        from foo.rb:11

Paul